---
sourceDocument: Australia API Reference
sourceDocumentLink: https://servicenow-prod.fluidtopics.net/r/de-DE/api-reference

 Release :

    - australia

ft:locale :

    - de-DE

ft:publication_title :

    - Australia API Reference

ft:clusterId :

    - crapiref

bundleId :

    - crapiref

workflow :

    - Creator


---

# AWA Agent Consult API

# AWA Agent Consult API {#ariaid-title1}

* Freigeben Version: Australia
* 
* Aktualisiert 12. März 2026
* 
* ![](https://www.servicenow.com/docs/portal-asset/ico-clock) 3 Minuten Lesedauer

Handles agent consult work items.
This API requires the Advanced Work Assignment plugin (com.glide.awa) and the
awa_integration_user role.

For more information about AWA, see [Advanced Work Assignment](https://www.servicenow.com/docs/access?context=awa-overview&version=australia&pubname=australia-conversational-interfaces&ft:locale=en-US).

Use the [AWA Offer Work API](https://servicenow-prod.fluidtopics.net/vjM8MOQUf2RL1YO0Zjvmlg#awa-offer-work-api "The AWA Offer Work API provides an endpoint to assign or transfer work items to agents.") to initiate a consult transfer to an agent or a queue.

## AWA Agent Consult - PUT /now/awa/consult/end {#ariaid-title2}

Ends a consult work item.
When a document is consult transferred to an agent, the respective work item must be closed with the appropriate consult state, either <kbd class="ph userinput">Transferred</kbd> or <kbd class="ph userinput">Ended</kbd>.

A work item is a single piece of work handled by an AWA agent from start to finish. A work item is created based on a document, such as an interaction or task.

### URL format {#awa-consult-PUT-end__section_qgh_xt3_2mb}

Versioned URL: /api/now/{api_version}/awa/consult/end

Default URL: /api/now/awa/consult/end  
Hinweis:  
Available versions are specified in the [REST API Explorer](https://servicenow-prod.fluidtopics.net/urJGeqQ4zU~Vfw53IpWUIw "In this tutorial you will use the REST API Explorer to test the ServiceNow REST APIs."). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://servicenow-prod.fluidtopics.net/eAgQ546WEOagLzEOTr_eqQ "The scripted REST API feature allows application developers to build custom web service APIs.").

### Supported request parameters

{#awa-consult-PUT-end__entry__2}{#awa-consult-PUT-end__version-not_optional-RESTAPI}

| Name | Description |
|-|-|
| api_version | Optional. Version of the endpoint to access. For example, <kbd class="ph userinput">v1</kbd> or <kbd class="ph userinput">v2</kbd>. Only specify this value to use an endpoint version other than the latest. Data type: String |
[Tabelle : 1. Path parameters]

{#awa-consult-PUT-end__entry__6}

| Name | Description |
|-|-|
| None |   |
[Tabelle : 2. Query parameters]

{#awa-consult-PUT-end__entry__10}

| Name | Description |
|-|-|
| document_sys_id | Sys_id of the document associated with the consult work item. A document is any record in any table, such as an interaction, case, or incident. Data type: String |
| hand_over | Flag that indicates whether a consult transfer must be ended or transferred. Valid values: * true: Transfer the document to consult agent and set the consult work item's consult state as <kbd class="ph userinput">Transferred</kbd>. * false: Ends the consult transfer and set the consult work item's consult state as<kbd class="ph userinput">Ended</kbd>. {#awa-consult-PUT-end__ul_adt_mp5_13c} Hinweis: If the consult work item's consult state is Requested, the state changes to Cancelled. Data type: Boolean |
[Tabelle : 3. Request body parameters (JSON or XML)]

### Headers

The following request and response headers apply to this HTTP
action only, or apply to this action in a distinct way. For a list of general headers used
in the REST API, see [Supported REST API headers](https://servicenow-prod.fluidtopics.net/8lFZRln4AVFM64buP1Dvmg "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#awa-consult-PUT-end__entry__16}{#awa-consult-PUT-end__accept-RESTAPI}{#awa-consult-PUT-end__content_type-RESTAPI}

| Header | Description |
|-|-|
| Accept | Data format of the response body. Supported types: application/json or application/xml. Default: application/json |
| Content-Type | Data format of the request body. Supported types: application/json or application/xml. Default: application/json |
[Tabelle : 4. Request headers]

{#awa-consult-PUT-end__entry__22}

| Header | Description |
|-|-|
| None |   |
[Tabelle : 5. Response headers]

### Status codes

The following status codes apply to this HTTP action. For a
list of possible status codes used in the REST API, see [REST API HTTP response
codes](https://servicenow-prod.fluidtopics.net/8lFZRln4AVFM64buP1Dvmg "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#awa-consult-PUT-end__entry__26}{#awa-consult-PUT-end__entry-200-status-code}{#awa-consult-PUT-end__entry-400-status-code}{#awa-consult-PUT-end__entry-401-status-code}{#awa-consult-PUT-end__entry-403-status-code-awa}{#awa-consult-PUT-end__entry-404-status-code}{#awa-consult-PUT-end__entry-500-status-code}

| Status code | Description |
|-|-|
| 200 | Successful. The request was successfully processed. |
| 400 | Bad Request. A bad request type or malformed request was detected. |
| 401 | Unauthorized. The user credentials are incorrect or have not been passed. |
| 403 | Forbidden. Possible reasons: * The user doesn't have the awa_integration_user role.{#awa-consult-PUT-end__li-403-role} * The value of the glide.awa.enabled property isn't true. This property is listed in the System Property \[sys_property\] table if the Advanced Work Assignment (com.glide.awa) plugin is installed. For more information, see [Components installed with Advanced Work Assignment](https://www.servicenow.com/docs/access?context=installed-with-awa&version=australia&pubname=australia-conversational-interfaces&ft:locale=en-US).{#awa-consult-PUT-end__li-403-awa-disabled} {#awa-consult-PUT-end__ul_gch_n34_tsb} |
| 404 | Not found. The requested item wasn't found. |
| 500 | Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error. |
[Tabelle : 6. Status codes]

### Response body parameters (JSON or XML)

{#awa-consult-PUT-end__entry__40}

| Name | Description |
|-|-|
| success | Flag that indicates whether the ending consult is successful. Valid values: * true: The ending consult is successful. * false: The ending consult is unsuccessful. {#awa-consult-PUT-end__ul_zcj_1r5_13c} Data type: Boolean |
| message | Success or failure information for the ending consult. Possible values: * Consult is successfully ended. -- Success. * Cannot find the work item for document ID: \<api_caller_sys_id\> -- Make sure the active consult work item exists for the document. {#awa-consult-PUT-end__ul_j5h_vq5_13c} Data type: String |
[ ]

### Sample cURL request

    curl "https://instance.servicenow.com/api/now/awa/consult/end" \
    --request PUT \
    --header "Accept:application/json" \
    --header "Content-Type:application/json" \
    --data '{
        "document_sys_id": "59616aba87bd5210be070d48dabb35e6",
        "hand_over": "true"
    }' \
    --user 'username':'password'

    {
      "result": {
        "success": true,
        "message": "Consult is successfully ended."
      }
    }


